#!/usr/bin/perl -I..

#---------------------------------------------------------------
# This form obtains available Akenti permissions, and prints it.
#
# @author Sushila Subramanian
# @version 1.0
# @date 21 Feb 2003.
#---------------------------------------------------------------


require "cgi-lib.pl";
use FileHandle;

#some globals to store the hidden variables to figure which form
#to print. 

$hidden;
$debug=1;

#---------------------------------------------------------------
# print_form_for_one:  prints or edits the first form that requests 
# all the information necessary to register this machine with the
# remote 
#---------------------------------------------------------------

sub print_form_one {

    print "<P>This form tests a constraint of type AKENTI. It should give ";
    print "the user with certificate for <i>StakeHolder1</i> <b>rwx</b> permissions. All ";
    print " others with <i>O=LBL</i> certificates should have <b>r-x</b> permissions\n";
    print "<HR>";

    $akenti_actions = $ENV{'AKENTI_ACTIONS'};
    $akenti_conditional_info = $ENV{'AKENTI_CONDITIONAL_INFO'};

    print "<P>No allowed actions\n" if ($akenti_actions eq "");
    print "<P>No conditional constraints\n" if ($akenti_conditional_info eq "");

    print "<P>Akenti Actions allowed = $akenti_actions\n" if ($akenti_actions ne "");
    print "<P>Akenti Conditional actions = $akenti_conditional_info\n" if ($akenti_conditional_info ne "");
    print qq| <FORM ACTION="testgrp.cgi" METHOD=POST>\n|;
    
    print "<P><SELECT NAME=pick>\n";
    print "<OPTION>Cat\n";
    print "<OPTION>Dog\n";
    print "<OPTION>Pig\n";
    print "<OPTION>Cow\n";
    print "</SELECT>\n";
  
    print qq| <INPUT TYPE=HIDDEN NAME=hid VALUE="form_one">\n
	<P><INPUT TYPE=submit VALUE="Submit">\n|;
    
    print "</FORM>\n"; 
}


#---------------------------------------------------------------
# main: This looks at the hidden values for each of the forms
# submitted - and calls the appropriate routine to generate the
# next form in the sequence.
#---------------------------------------------------------------

main: {
  
  # Read and parse the form information
  local(%valueList) = ();
  &ReadParse(*valueList);
  
  $hidden = $valueList{"hid"};
  
  if ($hidden eq "form_one") {
    
    # print HTML header related lines.
    
    print PrintHeader(), "\n";
    $str= HtmlTop ("LBL: Akenti Test1"), "\n";
    print $str;
    print "</CENTER>\n";
    
    $value = $valueList{"pick"};

    print qq| <FONT FACE="Arial,Helvetica">\n|;
    print "<P> Picked $value from choices </P>";
    # print HTML lines for end of page
    print "</FONT>";
    $str = HtmlBot ();
    print $str;
  } 
  else {
    print PrintHeader(), "\n";
    $str= HtmlTop ("LBL: Akenti Test1"), "\n";
    print $str;
    print "</CENTER>\n";
    
    print qq| <FONT FACE="Arial,Helvetica">\n|;
    
    print_form_one();
    print "</FONT>\n";
    $str = HtmlBot ();
    print $str;
  } 
  
}
