#ifndef AKENTI_EXTERNAL_CACHE_HPP
#define AKENTI_EXTERNAL_CACHE_HPP 

#include "ref_ptr.hpp"
#include "ExternalCacheImpl.hpp"

using namespace Akenti;

namespace Akenti {

/**
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class ExternalCache : public ref_ptr<ExternalCacheImpl> {

public:
  
  /**
    */
  ExternalCache(ExternalCacheImpl* impl = NULL);

  /**
    */
  static void setExternalCache(const ExternalCache& externalCache);

  /**
    */
  static bool isExternalCacheSet();

  /**
    */
  static ExternalCache& getExternalCache();

private:

  static ExternalCache externalCache;
  
};

} // end of name space

#endif

