#ifndef OPEN_SSL_PKCS12_KEY_STORE_IMPL_HPP
#define OPEN_SSL_PKCS12_KEY_STORE_IMPL_HPP 

#include "KeyStoreImpl.hpp" 

namespace Akenti {

/**
  *
  * @version 1.1
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */

class PKCS12KeyStoreImpl : public KeyStoreImpl {

public:

  /**
    * Constructs this object.
    */
  PKCS12KeyStoreImpl(const string& type);

  /**
    * Deletes this object.
    */
  ~PKCS12KeyStoreImpl();
 
  /**
    */
  void load(const string& fileName, const string& password);

};

} // end of namespace Akenti

#endif
