#ifndef STREAM_TOKENIZER_TEST_CASE_HPP
#define STREAM_TOKENIZER_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"

class StreamTokenizerTestCase : public CppUnit::TestCase {

public:

  /**
    * Constructs this object.
    */
  StreamTokenizerTestCase(const std::string& name = "StreamTokenizerTestCase")
    : TestCase(name) {
  }

  /**
    * Registers the <i>doTest</i> method.
    */
  static CppUnit::TestSuite* suite();

private:

  /**
    * Calls <i>test1</i> and <i>test2</i>.
    */
  void doTest();

  /**
    * Tests a <i>StreamTokenizer</i> that does not return
    * the delimiters.
    */
  void test1();

  /**
    * Tests a <i>StreamTokenizer</i> that does return
    * the delimiters.
    */
  void test2();

};

#endif
