#ifndef URL_TEST_CASE_HPP    
#define URL_TEST_CASE_HPP 

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"

/**
  * Tests the <i>URL</i> class.
  */
class URLTestCase: public CppUnit::TestCase {

public:

  /**
    * constructs this object
    */
  URLTestCase(const std::string& name = "URLTestCase") : TestCase(name) {
  }

  /**
    * Registers the <i>doTest</i> method.
    */
  static CppUnit::TestSuite* suite();

private:

  /**
    * Calls <i>parseURLS</i>, <i>parseURLS</i>, and <i>parseURLS</i>.
    */
  void doTest();
  
  /**
    */
  void parseURLS();

  /**
    */
  void openHttpURL();

  /**
    */
  void openFileURL();

};

#endif

