#ifndef HTTP_CERTIFICATE_RETRIEVAL_IMPL_HPP
#define HTTP_CERTIFICATE_RETRIEVAL_IMPL_HPP

#include "FileCertificateRetrievalImpl.hpp"

using namespace Akenti;

namespace Akenti {

/**
  * Class to retrieve certificate from a HTTP server
  *
  * @see FileCertificateRetrievalImpl
  * @see URL
  * 
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class HttpCertificateRetrievalImpl : public FileCertificateRetrievalImpl {

public:

  /**
    */
  HttpCertificateRetrievalImpl();

  /**
    */
  ~HttpCertificateRetrievalImpl();

protected:

  /**
    */
  void
  getContent(const URL& url, 
             const Filter& filter,
             vector<string>& results)  const;

};

} // end of name space

#endif
