#include "HttpConstants.hpp"

namespace Akenti {

const string HttpConstants::CRLF = "\r\n";

const string HttpConstants::PROTOCOL = "HTTP/1.0";

const int HttpConstants::HTTP_OK = 200;

const string HttpConstants::HTTP_OK_MESSAGE = "OK";

const int HttpConstants::HTTP_BAD = 400;

const string HttpConstants::HTTP_BAD_MESSAGE = "Bad request";

const int HttpConstants::HTTP_FORBIDDEN = 403;

const string HttpConstants::HTTP_FORBIDDEN_MESSAGE = "Forbidden";

const int HttpConstants::HTTP_UNSUPPORTED = 405;

const string HttpConstants::HTTP_UNSUPPORTED_MESSAGE = "Method not allowed";

const int HttpConstants::HTTP_FILE_NOT_FOUND = 404;

const string HttpConstants::HTTP_FILE_NOT_FOUND_MESSAGE = "Not found";

const int HttpConstants::HTTP_ERROR = 500;
  
const string HttpConstants::HTTP_ERROR_MESSAGE = "Server Error";

}

