#ifndef  ELEMENT_TESTCASE_HPP
#define  ELEMENT_TESTCASE_HPP

#include <string> 
#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"

/**
  * Tests writing and reading elements.
  */
class ElementsTestCase: public CppUnit::TestCase {

public:

  /**
    * constructs this object
    */
  ElementsTestCase(const std::string& name = "ElementsTestCase") : TestCase(name) {
  }

  /**
    * Regsiter the method <i>elementsReadWrite</i>. 
    */ 
  static CppUnit::TestSuite* suite();

private:

  /**
    */
  void elementsReadWrite();

};

#endif
