#ifndef CHECK_ACCESS_REQUEST_TEST_CASE_HPP
#define CHECK_ACCESS_REQUEST_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"

namespace Akenti {

class CheckAccessRequestTestCase : public CppUnit::TestCase {

public:

  /**
   * Constructs this object.
   */
  CheckAccessRequestTestCase(const std::string& name = "CheckAccessRequestTestCase")
    : TestCase (name) {
  }

  /**
   * Registers the <i>doTest</i> method
   */
  static CppUnit::TestSuite* suite();

private:

  void doTest();

  void testRequestWithPrincipal();

};

}

#endif
