#ifndef CHECK_ACCESS_RESPONSE_TEST_CASE_HPP
#define CHECK_ACCESS_RESPONSE_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"
#include "CapabilityCertificate.hpp"

namespace Akenti {

class CheckAccessResponseTestCase : public CppUnit::TestCase {

public:

  /**
   * Constructs this object.
   */
  CheckAccessResponseTestCase(const std::string& name = "CheckAccessResponseTestCase")
    : TestCase (name) {
  }

  /**
   * Registers the <i>doTest</i> method
   */
  static CppUnit::TestSuite* suite();

private:

  void doTest();

  void test1();

  CapabilityCertificate genCapabilityCert();
};

}

#endif
