#ifndef UPLOAD_CERTIFICATE_REQUEST_TEST_CASE_HPP
#define UPLOAD_CERTIFICATE_REQUEST_TEST_CASE_HPP

#include "cppunit/TestSuite.h"
#include "cppunit/TestCase.h"
#include "AkentiCertificate.hpp"

using namespace Akenti;

class UploadCertificateRequestTestCase : public CppUnit::TestCase {

public:

  /**
   * Constructs this object.
   */
  UploadCertificateRequestTestCase(const std::string& name = "UploadCertificateRequestTestCase")
    : TestCase (name) {
  }

  /**
   * Registers the <i>doTest</i> method
   */
  static CppUnit::TestSuite* suite();

private:

  void doTest();

  void test1();

  AkentiCertificate genPolicyCert();

};

#endif
